## pysph 0~20160122.git1fe4786

=== requirements.txt ===
numpy
setuptools>=6.0
Cython>=0.20
mako
nose>=1.0.0
mock>=1.0
