## pysph 0~20150606.gitfa26de9

=== debian/changelog ===
pysph (0~20150606.gitfa26de9-5) unstable; urgency=medium

  * [ed9bf4e] Add build-essential to depends.

 -- Anton Gladky <gladk@debian.org>  Thu, 18 Jun 2015 20:24:05 +0200

pysph (0~20150606.gitfa26de9-4) unstable; urgency=medium

  * [b3cea9b] Reduce time execution of sphere-autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Tue, 09 Jun 2015 22:26:05 +0200

pysph (0~20150606.gitfa26de9-3) unstable; urgency=medium

  * [ead64b7] Do not install setuptools. (Closes: #788094)
  * [6c3a640] Move mayavi2 in Recommends.
  * [4685482] Fia autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Tue, 09 Jun 2015 21:40:46 +0200

pysph (0~20150606.gitfa26de9-2) unstable; urgency=medium

  * [512783a] Fix binary-arch build. Thanks to Aaron M. Ucko. (Closes: #787967)

 -- Anton Gladky <gladk@debian.org>  Sun, 07 Jun 2015 08:19:22 +0200

pysph (0~20150606.gitfa26de9-1) unstable; urgency=medium

  * [ad3599b] Imported Upstream version 0~20150606.gitfa26de9. 
              (Closes: #787573)
  * [54eddc8] Disable using napoleon sphinx module.
  * [1b33dc9] Disable autotest temporary.
  * [e86a545] Install only pysph_viewer in /usr/bin
  * [b9c26dc] Set HOME in /tmp-created dir. (Closes: #787575)
  * [2be6b57] Apply cme fix dpkg-control.

 -- Anton Gladky <gladk@debian.org>  Sun, 07 Jun 2015 00:21:09 +0200

pysph (0~20141130.git9132872-1) unstable; urgency=medium

  * Upload to unstable. (Closes: #772908)

 -- Anton Gladky <gladk@debian.org>  Fri, 12 Dec 2014 06:14:14 +0100
