=== debian/control ===
Source: pysph
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: science
Testsuite: autopkgtest
Priority: optional
Build-Depends: cython,
               debhelper (>= 9),
               mpi-default-dev,
               python-dev,
               python-enthoughtbase,
               python-mako,
               python-nose,
               python-numpy,
               python-sphinx (>= 1.0.7+dfsg),
               python-traits,
               python-setuptools
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pysph.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/pysph.git
Homepage: http://pysph.googlecode.com
X-Python-Version: >= 2.7

Package: python-pysph
Architecture: any
Section: python
Depends: build-essential,
         cython,
         python (<< 2.8),
         python (>= 2.7),
         python-mako,
         python-nose,
         python-numpy,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends}
Recommends: pysph-viewer
Description: open source framework for Smoothed Particle Hydrodynamics 
 It is implemented in Python and the performance critical parts are 
 implemented in Cython.
 .
 PySPH is implemented in a way that allows a user to specify the entire 
 SPH simulation in pure Python. High-performance code is generated from 
 this high-level Python code, compiled on the fly and executed. PySPH also 
 features optional automatic parallelization using mpi4py and Zoltan.

Package: pysph-viewer
Architecture: any
Section: python
Depends: python-pysph,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: mayavi2
Description: viewer for PySPH - framework for Smoothed Particle Hydrodynamics
 It is implemented in Python and the performance critical parts are 
 implemented in Cython.
 .
 PySPH is implemented in a way that allows a user to specify the entire 
 SPH simulation in pure Python. High-performance code is generated from 
 this high-level Python code, compiled on the fly and executed. PySPH also 
 features optional automatic parallelization using mpi4py and Zoltan. 
 The package contains viewer for PySPH.

Package: pysph-doc
Architecture: all
Section: doc
Depends: libjs-mathjax,
         ${sphinxdoc:Depends},
         ${misc:Depends}
Recommends: python-pysph
Description: documentation and examples for PySPH 
 It is implemented in Python and the performance critical parts are 
 implemented in Cython.
 .
 PySPH is implemented in a way that allows a user to specify the entire 
 SPH simulation in pure Python. High-performance code is generated from 
 this high-level Python code, compiled on the fly and executed. PySPH also 
 features optional automatic parallelization using mpi4py and Zoltan. 
 The package contains documentation and examples for PySPH.
