=== debian/rules ===
#!/usr/bin/make -f


export PYTHONPATH := $(CURDIR)/debian/tmp/usr/lib/python2.7/site-packages/
export HOME := $(mktemp -d)

%:
	dh $@ --with python2 --parallel

override_dh_auto_clean:

override_dh_auto_test:

override_dh_auto_install:
	dh_numpy
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python2.7/site-packages/
	python setup.py install --prefix=$(CURDIR)/debian/tmp/usr
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python2.7/site-packages/setuptools.pth

override_dh_installdocs:
	make doc
	dh_installdocs
	dh_sphinxdoc
	find $(CURDIR)/debian/pysph-doc/usr/share/doc/pysph-doc/html -type f -print0 | xargs --no-run-if-empty -0 sed -i 's/http:\/\/cdn.mathjax.org\/mathjax\/latest/\/usr\/share\/javascript\/mathjax/g'
