## pysph 0~20160122.git1fe4786

=== debian/changelog ===
pysph (0~20160122.git1fe4786-1) unstable; urgency=medium

  * [725acf5] Imported Upstream version 0~20160122.git1fe4786
  * [a1a3d77] Refresh patches.
  * [456e370] Add python-moko as Depends.
  * [f6238bf] Minor fix in d/rules.
  * [a8f501b] Apply cme fix dpkg.
  * [73d0d1d] Drop site.py. (Closes: #801902)

 -- Anton Gladky <gladk@debian.org>  Tue, 09 Feb 2016 14:36:27 +0100
