=== debian/control ===
--- 
+++ 
@@ -10,25 +10,26 @@
                python-dev,
                python-enthoughtbase,
                python-mako,
+               python-mock,
                python-nose,
                python-numpy,
                python-sphinx (>= 1.0.7+dfsg),
                python-traits,
                python-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pysph.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/pysph.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pysph.git
 Homepage: http://pysph.googlecode.com
 X-Python-Version: >= 2.7
 
 Package: python-pysph
 Architecture: any
 Section: python
-Depends: build-essential,
-         cython,
+Depends: cython,
          python (<< 2.8),
          python (>= 2.7),
          python-mako,
+         python-mock,
          python-nose,
          python-numpy,
          ${misc:Depends},
@@ -36,7 +37,7 @@
          ${shlibs:Depends},
          ${sphinxdoc:Depends}
 Recommends: pysph-viewer
-Description: open source framework for Smoothed Particle Hydrodynamics 
+Description: open source framework for Smoothed Particle Hydrodynamics
  It is implemented in Python and the performance critical parts are 
  implemented in Cython.
  .
@@ -70,7 +71,7 @@
          ${sphinxdoc:Depends},
          ${misc:Depends}
 Recommends: python-pysph
-Description: documentation and examples for PySPH 
+Description: documentation and examples for PySPH
  It is implemented in Python and the performance critical parts are 
  implemented in Cython.
  .
