=== debian/changelog ===
pysph (0~20160514.git91867dc-4build1) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:22:44 +0000

pysph (0~20160514.git91867dc-4) unstable; urgency=medium

  * [64fc2c3] Remove redundant sphinx.ext.mathjax. (Closes: #828917)
  * [f5b1301] Minor fix in d/copyright.

 -- Anton Gladky <gladk@debian.org>  Mon, 01 Aug 2016 18:36:18 +0200

pysph (0~20160514.git91867dc-3) unstable; urgency=medium

  * [da8bf51] Allow stderr in autopkgtests.

 -- Anton Gladky <gladk@debian.org>  Sat, 28 May 2016 19:03:04 +0200

pysph (0~20160514.git91867dc-2) unstable; urgency=medium

  * [f4a146c] Add python-dev to depends.

 -- Anton Gladky <gladk@debian.org>  Fri, 27 May 2016 18:36:50 +0200

pysph (0~20160514.git91867dc-1) unstable; urgency=medium

  * [6377614] Add build-essential to Depends.
  * [3ee9544] Imported Upstream version 0~20160514.git91867dc
  * [a7c3909] Refresh patches.
  * [535eeac] Update d/copyright.
  * [dbd40c6] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Thu, 26 May 2016 20:10:04 +0200
