=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
                python-mock,
                python-nose,
                python-numpy,
-               python-sphinx (>= 1.0.7+dfsg),
+               python-sphinx,
                python-traits,
                python-setuptools
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pysph.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pysph.git
 Homepage: http://pysph.googlecode.com
@@ -26,8 +26,10 @@
 Architecture: any
 Section: python
 Depends: cython,
+         build-essential,
          python (<< 2.8),
-         python (>= 2.7),
+         python,
+         python-dev,
          python-mako,
          python-mock,
          python-nose,
