=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,10 @@
 	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python2.7/site-packages/
 	python setup.py install --prefix=$(CURDIR)/debian/tmp/usr
 	rm -rf $(CURDIR)/debian/tmp/usr/lib/python2.7/site-packages/setuptools.pth
+	rm -rf $(CURDIR)/debian/tmp/usr/lib/python2.7/site-packages/sit*
 
 override_dh_installdocs:
 	make doc
 	dh_installdocs
 	dh_sphinxdoc
-	find $(CURDIR)/debian/pysph-doc/usr/share/doc/pysph-doc/html -type f -print0 | xargs --no-run-if-empty -0 sed -i 's/http:\/\/cdn.mathjax.org\/mathjax\/latest/\/usr\/share\/javascript\/mathjax/g'
+	find $(CURDIR)/debian/pysph-doc/usr/share/doc/pysph-doc/html -type f -print0 | xargs --no-run-if-empty -0 sed -i 's/https:\/\/cdn.mathjax.org\/mathjax\/latest/\/usr\/share\/javascript\/mathjax/g'
