=== debian/tests/control ===
Tests: pysph-test-sphere pysph-test-elliptical
Depends: python-pysph
Restrictions: allow-stderr
