=== requirements.txt ===
numpy
setuptools>=6.0
Cython>=0.20
mako
