=== debian/changelog ===
pysph (0~20180411.git1ae58e1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add the missing build dependencies on python-pytest
    and python-pytest-runner, thanks to Steve Langasek.
    (Closes: #915514)
  * Update Homepage: to the current upstream location.

 -- Adrian Bunk <bunk@debian.org>  Mon, 07 Jan 2019 23:30:08 +0200

pysph (0~20180411.git1ae58e1-2) unstable; urgency=medium

  * Team upload.
  * [ead1c83] Add python-sphinx-rtd-theme to build-depends

 -- Anton Gladky <gladk@debian.org>  Sun, 20 May 2018 17:43:24 +0200

pysph (0~20180411.git1ae58e1-1) unstable; urgency=medium

  [ Anton Gladky ]
  * Team upload.
  * [7d6d2af] Update VCS fields
  * [5aea85f] Use Standards-Version: 4.1.4
  * [43ebe1d] Use compat-level 11
  * [cc5d3ad] Remove deprecated Testsuite-field in d/control
  * [d19ce32] Update python version number
  * [bd1e06a] Remove deprecated patch
  * [0fbe2df] Update d/rules
  * [c397a0f] Remove x-python-version field
  * [f97cf1a] Remove myself from uploaders
  * [804d0a4] Don not install easy-install.pth (Closes: #884256)
  * [60a358a] New upstream version 0~20180411.git1ae58e1

  [ Chris Lamb ]
  * [7fb9fed] Make the build reproducible. (Closes: #870358)

 -- Anton Gladky <gladk@debian.org>  Sun, 20 May 2018 15:05:01 +0200
