=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: pysph
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Anton Gladky <gladk@debian.org>
 Section: science
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: cython,
-               debhelper (>= 9),
+               debhelper (>= 11~),
                mpi-default-dev,
                python-dev,
                python-enthoughtbase,
@@ -13,14 +11,16 @@
                python-mock,
                python-nose,
                python-numpy,
+               python-pytest,
+               python-pytest-runner,
                python-sphinx,
+               python-sphinx-rtd-theme,
                python-traits,
                python-setuptools
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pysph.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pysph.git
-Homepage: http://pysph.googlecode.com
-X-Python-Version: >= 2.7
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/science-team/pysph
+Vcs-Git: https://salsa.debian.org/science-team/pysph.git
+Homepage: https://github.com/pypr/pysph
 
 Package: python-pysph
 Architecture: any
