=== debian/rules ===
#!/usr/bin/make -f


export PYTHONPATH := $(CURDIR)/debian/tmp/usr/lib/python2.7/site-packages/
export HOME := $(mktemp -d)

%:
	dh $@ --with python2

override_dh_auto_clean:

override_dh_auto_test:

override_dh_auto_install:
	dh_numpy
	python setup.py install --root=$(CURDIR)/debian/tmp --single-version-externally-managed --install-layout=deb --no-compile
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python2.7/site-packages/setuptools.pth
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python2.7/site-packages/sit*
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages/easy-install.pth

override_dh_installdocs:
	make doc
	dh_installdocs
	dh_sphinxdoc
	find $(CURDIR)/debian/pysph-doc/usr/share/ -type f -print0 | xargs --no-run-if-empty -0 sed -i 's/https:\/\/cdnjs.cloudflare.com\/ajax\/libs\/mathjax\/2.7.1/\/usr\/share\/javascript\/mathjax/g'
	find $(CURDIR)/debian/pysph-doc/usr/share/ -type f -print0 | xargs --no-run-if-empty -0 sed -i 's/https:\/\/www.youtube.com//g'
