=== debian/changelog ===
pysph (1.0~b0~20191115.gite3d5e10-4) unstable; urgency=medium

  * Team upload.
  * Upload into unstable

 -- Anton Gladky <gladk@debian.org>  Tue, 09 Feb 2021 19:47:44 +0100

pysph (1.0~b0~20191115.gite3d5e10-4~exp1) experimental; urgency=medium

  * debian/rules:
    - re-enable tests onMultipleLevelsStratified*
  * debian/patches:
    - new 0006-Fix-segfaullt-on-non-x86-platforms.patch
      (Closes: #948736)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Feb 2021 09:38:21 +0000

pysph (1.0~b0~20191115.gite3d5e10-3) unstable; urgency=medium

  * Team upload.
  * Upload into unstable

 -- Anton Gladky <gladk@debian.org>  Mon, 01 Feb 2021 18:09:40 +0100

pysph (1.0~b0~20191115.gite3d5e10-3~exp1) experimental; urgency=medium

  * debian/control:
    - Standards-Version bump ed to 4.5.1 (no change).
  * debian/patches:
    - set the Forwarded tag inall patches
  * debian/rules:
    - temporary skip "MultipleLevelsStratified*" test cases
      (see https://github.com/pypr/pysph/issues/237)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 24 Jan 2021 18:46:07 +0000

pysph (1.0~b0~20191115.gite3d5e10-2) unstable; urgency=medium

  * Standards version bumped to 4.5.0 (no change).
  * Re-enable parallel extension
  * debian/control:
    - build-depend and recommend mpi4py and pyzoltan
    - pysph-viewer recommends h5py and suggests pysph-doc
  * debian/patches:
    - drop 0004-Disable-parallel-extension.patch
    - new 0004-Fix-nprocs.patch: control the number of concurrent
      processes in MPI tests
    - new 0005-Spelling.patch
  * debian/rules:
    - improve clean target

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 19 Apr 2020 16:39:21 +0000

pysph (1.0~b0~20191115.gite3d5e10-1) unstable; urgency=medium

  * New upstream release.
  * Standards version bumped to 4.4.1 (no change).
  * debian/control:
    - update dependencies: added python3-compyle, python3-cyarray
      and python3-beaker
    - recommend python3-pyopencl
    - explicitly specify Rules-Requires-Root
    - require mako >= 1.1.0 (Closes: #945326)
  * No longer install examples (outdated).
  * No longer install pyzoltan (removed upstream).
  * Update debian/copyright.
  * debian/patches:
    - drop 0002-Spelling.patch
    - refresh and renumber remaining patches
    - new 0004-Disable-parallel-extension.patch,
      pyzoltan is not available
  * debian/tests:
    - use the Python 3 version of the package to run autopackagetest
    - improve test scripts

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 04 Jan 2020 11:09:04 +0000

pysph (1.0~a6-3) unstable; urgency=medium

  * debian/rules:
    - fix pytest flags for test exclusion
  * Enable CI on salsa.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 06 Sep 2019 19:19:33 +0000

pysph (1.0~a6-2) unstable; urgency=medium

  * Fix/update debian/copyright file (Closes: #935570).
  * Remove obsolete fields Name from debian/upstream/metadata.
  * Move from experimental to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 25 Aug 2019 16:36:20 +0000

pysph (1.0~a6-1) experimental; urgency=medium

  * New upstream release.
  * Standards version bumped to 4.4.0 (no change).
  * Drop debian/compat file, and depend on debelper-compat.
  * Set compat to 12.
  * Add upstream metadata file.
  * Add watch file.
  * Fix duplicate files in pysph-doc.
  * Use local mathjax.
  * Register documentation in doc-base.
  * debian/rules:
    - enable hardening flags
    - improve clean target
    - enable testing
  * debian/patches:
    - new 0001-Use-local-mathjax.patch
    - new 0002-Spelling.patch
    - new 0003-autodoc_mock_imports.patch
    - new 0004-Use-Python-3-in-Makefile.patch
  * debian/control:
    - move pysph-viewer to the science section
    - pysph-viewer now is maked as architecture all
    - update depenndencies for new upstream release (pytools)
    - python3-pysph now suggests pysph-doc
    - added dependency on python3-stl
  * Switch to pybuild.
  * Update debian/copyright file.
  * New Python 3 package.
  * Drop Python 2 support.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 18 Aug 2019 17:10:11 +0200

pysph (0~20180411.git1ae58e1-3) unstable; urgency=medium

  * Team upload.
  * [6bd820f] Set Standards-Version to 4.3.0
  * [ae4bb17] Trim trailing whitespace.
  * [bf44b2f] Add Antonio Valentino as an uploader.

 -- Anton Gladky <gladk@debian.org>  Thu, 15 Aug 2019 21:22:06 +0200
