=== debian/control ===
Source: pysph
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: science
Priority: optional
Build-Depends: cython3,
               debhelper-compat (= 12),
               dh-python,
               libjs-mathjax,
               libtrilinos-zoltan-dev,
               mpi-default-dev,
               python3-all-dev,
               python3-beaker,
               python3-compyle,
               python3-cyarray,
               python3-h5py,
               python3-mako (>= 1.1.0),
               python3-nose,
               python3-mpi4py,
               python3-numpy,
               python3-pytest,
               python3-pytest-runner,
               python3-pytools,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-stl,
               python3-traits,
               python3-pyzoltan
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/science-team/pysph
Vcs-Git: https://salsa.debian.org/science-team/pysph.git
Homepage: https://github.com/pypr/pysph
Rules-Requires-Root: no

Package: python3-pysph
Architecture: any
Section: python
Depends: cython3,
         build-essential,
         python3,
         python3-all-dev,
         python3-beaker,
         python3-compyle,
         python3-cyarray,
         python3-mako (>= 1.1.0),
         python3-mock,
         python3-nose,
         python3-numpy,
         python3-pytools,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends}
Recommends: pysph-viewer,
            python3-mpi4py,
            python3-pyopencl,
            python3-pyzoltan,
            python3-stl
Suggests: pysph-doc
Description: open source framework for Smoothed Particle Hydrodynamics
 It is implemented in Python and the performance critical parts are
 implemented in Cython.
 .
 PySPH is implemented in a way that allows a user to specify the entire
 SPH simulation in pure Python. High-performance code is generated from
 this high-level Python code, compiled on the fly and executed. PySPH also
 features optional automatic parallelization using mpi4py and Zoltan.

Package: pysph-viewer
Architecture: all
Depends: python3-pysph,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: mayavi2,
            python3-h5py
Suggests: pysph-doc
Description: viewer for PySPH - framework for Smoothed Particle Hydrodynamics
 It is implemented in Python and the performance critical parts are
 implemented in Cython.
 .
 PySPH is implemented in a way that allows a user to specify the entire
 SPH simulation in pure Python. High-performance code is generated from
 this high-level Python code, compiled on the fly and executed. PySPH also
 features optional automatic parallelization using mpi4py and Zoltan.
 The package contains viewer for PySPH.

Package: pysph-doc
Architecture: all
Section: doc
Depends: libjs-mathjax,
         ${sphinxdoc:Depends},
         ${misc:Depends}
Recommends: python3-pysph
Description: documentation and examples for PySPH
 It is implemented in Python and the performance critical parts are
 implemented in Cython.
 .
 PySPH is implemented in a way that allows a user to specify the entire
 SPH simulation in pure Python. High-performance code is generated from
 this high-level Python code, compiled on the fly and executed. PySPH also
 features optional automatic parallelization using mpi4py and Zoltan.
 The package contains documentation and examples for PySPH.
