## pysph 1.0~b1

=== debian/changelog ===
pysph (1.0~b1-5) unstable; urgency=medium

  * debian/rules:
    - enable numpy3 dh helper.
    - disable tests not compatible with numpy v1.24.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 29 Dec 2022 19:26:20 +0000

pysph (1.0~b1-4) unstable; urgency=medium

  * debian/patches:
    - new 0006-Fix-compatibility-with-Python-3.11.patch
      (Closes: #1024498).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 23 Nov 2022 17:41:20 +0000

pysph (1.0~b1-3) unstable; urgency=medium

  * debian/patches:
    - new debian/patches/0005-Fix-compatibility-with-mako.patch.
      Closes: #1023028.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 30 Oct 2022 15:03:01 +0000

pysph (1.0~b1-2) unstable; urgency=medium

  * Standards version bumped to 4.6.1, no changes.
  * debian/tests:
    - autopkgtest with all supported python versions.
  * update lintian overrides (to the new format).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 10 Jul 2022 07:42:53 +0000

pysph (1.0~b1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - remove obsolete dependencies: nose and mock
    - add new dependencies: mayavi, pyopencl, pyside2.
  * Update d/copyright.
  * debian/patches:
    - drop 0005-Spelling.patch and
      0006-Fix-segfaullt-on-non-x86-platforms.patch,
      applied upstream
    - refresh remaining patches.
  * debian/rules:
    - re-enable test_parallel (see
      https://github.com/pypr/pysph/issues/326)
    - fix permissions.
  * Add lintian overrides for
    package-contains-documentation-outside-usr-share-doc.
  * Uodate d/tests scripts.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 11 Mar 2022 07:44:00 +0000

pysph (1.0~b0~20191115.gite3d5e10-6) unstable; urgency=medium

  * Update watch file to use tags instead of releases.
  * Disable broken test (see
    https://github.com/pypr/pysph/issues/326).
    Closes: #997029.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 02 Jan 2022 09:54:54 +0000

pysph (1.0~b0~20191115.gite3d5e10-5) unstable; urgency=medium

  * Standards version bumped to 4.6.0 (no changes).
  * Update the debian/watch file.
  * debian/patches:
    - forward 0005-Spelling.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 12 Sep 2021 10:14:08 +0000
