=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                dh-python,
                libjs-mathjax,
                libtrilinos-zoltan-dev,
+               mayavi2,
                mpi-default-dev,
                python3-all-dev,
                python3-beaker,
@@ -15,9 +16,10 @@
                python3-cyarray,
                python3-h5py,
                python3-mako (>= 1.1.0),
-               python3-nose,
                python3-mpi4py,
                python3-numpy,
+               python3-pyopencl,
+               python3-pyside2.qtwidgets,
                python3-pytest,
                python3-pytest-runner,
                python3-pytools,
@@ -27,7 +29,7 @@
                python3-stl,
                python3-traits,
                python3-pyzoltan
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/pysph
 Vcs-Git: https://salsa.debian.org/science-team/pysph.git
 Homepage: https://github.com/pypr/pysph
@@ -44,9 +46,6 @@
          python3-compyle,
          python3-cyarray,
          python3-mako (>= 1.1.0),
-         python3-mock,
-         python3-nose,
-         python3-numpy,
          python3-pytools,
          ${misc:Depends},
          ${python3:Depends},
@@ -74,7 +73,8 @@
          ${python3:Depends},
          ${shlibs:Depends}
 Recommends: mayavi2,
-            python3-h5py
+            python3-h5py,
+            python3-pyside2.qtwidgets
 Suggests: pysph-doc
 Description: viewer for PySPH - framework for Smoothed Particle Hydrodynamics
  It is implemented in Python and the performance critical parts are
