=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,14 @@
 export ZOLTAN_LIBRARY=/usr/lib
 export NPROCS=2
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-export PYBUILD_TEST_ARGS=-k 'not test_sph_evaluator and not TestInterpolator'
+export PYBUILD_TEST_ARGS=\
+-k 'not test_sph_evaluator\
+and not TestInterpolator\
+and not test_get_points_from_mgrid\
+and not test_get_surface_points_uniform'
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,numpy3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9
@@ -24,6 +28,11 @@
 	dh_python3 -N pysph-doc
 	dh_numpy3 -N pysph-doc
 
+override_dh_auto_install:
+	dh_auto_install
+	chmod -x $(CURDIR)/debian/*/usr/lib/python3.*/*-packages/pysph/examples/shallow_water/okushiri_tsunami_input_files/*.bz2
+	chmod -x $(CURDIR)/debian/*/usr/lib/python3.*/*-packages/pysph/examples/shallow_water/okushiri_tsunami_input_files/*.txt
+
 override_dh_auto_clean:
 	dh_auto_clean
 	$(MAKE) clean
