=== debian/tests/control ===
Tests: pysph-test-elliptical
Depends: python3-pysph, python3-all
Restrictions: allow-stderr
