=== requirements.txt ===
numpy
setuptools>=42.0.0
Cython>=0.20
cyarray
compyle>=0.8
mako
pytools
Beaker
