=== debian/changelog ===
pysph (1.0~b2-2) unstable; urgency=medium

  * debian/conrol:
    - Mark pysph-doc as "Multi-Arch: foreign".
    - Add dependency on pybuild-plugin-pyproject.
  * Fix d/python3-pysph.install.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 27 Sep 2025 10:43:53 +0000

pysph (1.0~b2-1) unstable; urgency=medium

  * New upstream release (Closes: #1083586).
  * Standards version bumped to 4.7.2, no changes.
  * debian/patches:
    - New 0010-Fix-syntax-warning.patch (Closes: #1085828).
    - Drop 0005-Fix-compatibility-with-mako.patch,
      0005-Fix-compatibility-with-Python-3.11.patch,
      0007-Compatibility-with-cython-v3.x.patch, applied upstream.
    - Refresh and renumber remaining patches.
    - New 0006-no-distutils.patch.
  * debian/rules:
    - Skip tests for OctreeGPU (Closes: #1084148).
  * devian/control:
    - Update dependencies.
    - Drop 'Rules-Requires-Root: no', no longer needed.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Sep 2025 17:38:57 +0000

pysph (1.0~b1-8) unstable; urgency=medium

  * debian/control:
    - Remove runtime dependenvy form cython (Closes: #1058013).
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Jan 2024 10:11:47 +0000

pysph (1.0~b1-7) unstable; urgency=medium

  * debian/patches:
    - New 0008-Compatibility-with-cython-v3.x.patch
      (Closes: #1056846).
  * debian/rules:
    - Update the list of tests to skip.
  * debian/control:
    - Drop versioned dependency for python3-mako.
    - Remove sphinxdoc:Depemds from python3-pysph.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 03 Dec 2023 09:26:15 +0000

pysph (1.0~b1-6) unstable; urgency=medium

  * Standards version bumped to 4.6.2, no changes.
  * debian/control:
    - bump debhelper-compat version to 13.
    - use <!nodoc> and <!nocheck> markers.
    - update package description.
  * debian/patches:
    - new 0007-Fix-SyntaxWarning.patch (Closes: #1040292).
  * Update dates in d/copyright.
  * Switch to dh-sequence-*.
  * Improve doc build.
  * New d/clean (Closes: #1047706).
  * debian/rules:
    - Use execute_{before,after} instead of override in rules file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 17 Aug 2023 08:54:23 +0000
