=== debian/control ===
Source: pysph
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: science
Priority: optional
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               libjs-mathjax <!nodoc>,
               libtrilinos-zoltan-dev,
               mayavi2,
               mpi-default-dev,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-beaker,
               python3-compyle,
               python3-cyarray,
               python3-h5py,
               python3-mako,
               python3-mpi4py,
               python3-numpy,
               python3-pyopencl,
               python3-pyside2.qtwidgets,
               python3-pytest <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-pytools,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-stl,
               python3-traits,
               python3-pyzoltan
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/pysph
Vcs-Git: https://salsa.debian.org/science-team/pysph.git
Homepage: https://github.com/pypr/pysph
Description: Open-source framework for Smoothed Particle Hydrodynamics
 It is implemented in Python and the performance critical parts are
 implemented in Cython.
 .
 PySPH is implemented in a way that allows a user to specify the entire
 SPH simulation in pure Python. High-performance code is generated from
 this high-level Python code, compiled on the fly and executed. PySPH also
 features optional automatic parallelization using mpi4py and Zoltan.

Package: python3-pysph
Architecture: any
Section: python
Depends: build-essential,
         python3,
         python3-all-dev,
         python3-beaker,
         python3-compyle,
         python3-cyarray,
         python3-mako,
         python3-pytools,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: cython3,
            pysph-viewer,
            python3-mpi4py,
            python3-pyopencl,
            python3-pyzoltan,
            python3-stl
Suggests: pysph-doc
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: pysph-viewer
Architecture: all
Depends: python3-pysph,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: mayavi2,
            python3-h5py,
            python3-pyside2.qtwidgets
Suggests: pysph-doc
Description: ${source:Synopsis} (viewer)
 ${source:Extended-Description}
 .
 The package contains viewer for PySPH.

Package: pysph-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-mathjax,
         ${sphinxdoc:Depends},
         ${misc:Depends}
Recommends: python3-pysph
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 The package contains documentation and examples for PySPH.
