=== debian/rules ===
#!/usr/bin/make -f

ifneq (,${PYBUILD_AUTOPKGTEST})
TESTDIR=/usr/lib/python3/dist-packages/
else
TESTDIR=""
endif

export USE_TRILINOS=1
export ZOLTAN_INCLUDE=/usr/include/trilinos
export ZOLTAN_LIBRARY=/usr/lib
export NPROCS=2
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_TEST_ARGS=\
-k "not test_sph_evaluator \
and not TestInterpolator \
and not test_get_points_from_mgrid \
and not test_get_surface_points_uniform \
and not test_compressed_octree_has_lesser_depth_than_octree \
and not test_parallel_compressed_octree_has_lesser_depth_than_parallel_octree \
and not test_ldcavity_example \
and not test_dump_xdmf \
and not OctreeGPUNNPS2DTestCase \
and not OctreeGPUNNPSDouble2DTestCase \
and not OctreeGPUNNPSTestCase \
and not OctreeGPUDoubleNNPSTestCase \
and not OctreeGPUNNPSWithSortingTestCase \
and not OctreeGPUNNPSWithPartitioningTestCase \
and not TestAccelerationEval1DGPUOctree" \

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	env PYTHONPATH=$(shell pybuild --build -i python3 -s custom --build-args 'echo {build_dir}') \
	python3 -m sphinx -b html -N -E -T $(CURDIR)/docs/source $(CURDIR)/.pybuild/docs/html
	find $(CURDIR)/.pybuild/docs/html -type f -print0 | xargs --no-run-if-empty -0 sed -i 's/https:\/\/www.youtube.com//g'
endif

execute_after_dh_auto_install:
	chmod -x $(CURDIR)/debian/*/usr/lib/python3.*/*-packages/pysph/examples/shallow_water/okushiri_tsunami_input_files/*.bz2
	chmod -x $(CURDIR)/debian/*/usr/lib/python3.*/*-packages/pysph/examples/shallow_water/okushiri_tsunami_input_files/*.txt

execute_after_dh_auto_clean:
	$(MAKE) clean
