=== debian/tests/control ===
Tests: pysph-test-elliptical
Depends: python3-pysph, python3-all, cython3
Restrictions: allow-stderr
